<?php
/**
*
* @package - Show Unread PM MOD
* @version $Id:$
* @file				acp_supm.php
* @copyright (c) 2012 all4phone (http://phpbbmods.cba.pl/)
* @license http://opensource.org/licenses/gpl-license.php GNU Public License 
*
*/

/**
* @ignore
*/
if (!defined('IN_PHPBB'))
{
	exit;
}

/**
* @package acp
*/
class acp_supm
{
	var $u_action;
	function main($id, $mode)
	{
		global $db, $user, $auth, $template;
		global $config, $phpbb_root_path, $phpbb_admin_path, $phpEx;

		$action = request_var('action', '');
		$submit = (isset($_POST['submit'])) ? true : false;

		if ($mode != 'index')
		{
			return;
		}

		$this->tpl_name = 'acp_supm';
		$this->page_title = 'ACP_SUPM_SETTINGS';

		$supm_enable = request_var('supm_enable', $config['supm_enable']);
		$supm_color = request_var('supm_color', $config['supm_color']);
		$supm_bold = request_var('supm_bold', $config['supm_bold']);
		$supm_italic = request_var('supm_italic', $config['supm_italic']);
		
		
		$form_name = 'acp_supm';
		add_form_key($form_name);

		if ($submit)
		{
			if (!check_form_key($form_name))
			{
				trigger_error($user->lang['FORM_INVALID']. adm_back_link($this->u_action), E_USER_WARNING);
			}

			$error = array();

			$message = $user->lang['ACP_SUPM_SETTINGS_CHANGED'];
			$log = 'LOG_SUPM_SETTINGS_CHANGED';

			set_config('supm_enable', $supm_enable);
			set_config('supm_color', $supm_color);
			set_config('supm_bold', $supm_bold);
			set_config('supm_italic', $supm_italic);
			
			add_log('admin', 'LOG_' . $log);
			trigger_error($message . adm_back_link($this->u_action));
		}
		
		$template->assign_vars(array(
			'U_ACTION'						=> $this->u_action,
			'SUPM_ENABLE'					=> $supm_enable,
			'SUPM_VERSION'					=> $config['supm_version'],
			'SUPM_COLOR'					=> $supm_color,
			'SUPM_BOLD'						=> $supm_bold,
			'SUPM_BOLD_STYLE'				=> $supm_bold == 'bold',
			'SUPM_NONE_STYLE'				=> $supm_bold == 'none',
			'SUPM_ITALIC'					=> $supm_italic,
			'SUPM_ITALIC_STYLE'				=> $supm_italic == 'italic',
			'SUPM_NORMAL_STYLE'				=> $supm_italic == 'normal',
		));
		// Get current and latest version
		$errstr = '';
		$errno = 0;

		$mod_version = $user->lang['NO_INFO'];
		$data = array(
			'title'            => $user->lang['NO_INFO'],
			'download'        => $user->lang['NO_INFO'],
			'announcement'    => $user->lang['NO_INFO'],
		);
                
		// Load Version File From Host
		$file = get_remote_file('phpbbmods.cba.pl', '/updatecheck/', 'supm.xml', $errstr, $errno);

		if ($file)
		{

			// let's not stop the page from loading if a mod author messed up their mod check file
			// also take care of one of the easiest ways to mess up an xml file: "&"
			$mod = @simplexml_load_string(str_replace('&', '&amp;', $file));
			if (isset($mod->version_check))
				{
					$row = $mod->version_check;
					$mod_version = $row->mod_version->major . '.' . $row->mod_version->minor . '.' . $row->mod_version->revision . $row->mod_version->release;

					$data = array(
						'title'           => $row->title,
						'download'        => $row->download,
						'announcement'    => $row->announcement,
					);
				}

			// remove spaces from the version in the mod file stored locally
			$version = str_replace(' ', '', $config['supm_version']);
			$version_compare = (version_compare($config['supm_version'], $mod_version, '<')) ? false : true;

			$template->assign_block_vars('mods', array(
				'ANNOUNCEMENT'      => $data['announcement'],
				'CURRENT_VERSION'   => $config['supm_version'],
				'DOWNLOAD'          => $data['download'],
				'LATEST_VERSION'    => $mod_version,
				'TITLE'             => $data['title'],
				'UP_TO_DATE'        => sprintf((!$version_compare) ? $user->lang['NOT_UP_TO_DATE'] : $user->lang['UP_TO_DATE'], $data['title']),
				'S_UP_TO_DATE'      => $version_compare,
			));
		}
	}
}

?>
